Description

When running ctulimit, the log file states at the end

2016-02-19T16:16:42: +==================+

2016-02-19T16:16:42: | Save upper limit |

2016-02-19T16:16:42: +==================+

This is in fact not true. The corresponding section of writing the limit values to an ascii file is commented out. This might confuse the

user.

Since we don't have a reasonable format it makes sense to omit the writing.

I suggest to remove this logging message as long nothing is written out in the ctulimit::save method.

History

#1 - 02/19/2016 05:33 PM - Knödlseder Jürgen

Agree.

By the way: while writing the paper I recognised that we really should clean up the various output formats of the cscripts. I think it would be good to

support FITS files as much as we can. Upper limits can certainly also be handled using the model XML file. Maybe the general discussion about IACT

data formats can also help to better understand what we need.

#2 - 02/19/2016 05:46 PM - Mayer Michael

By the way: while writing the paper I recognised that we really should clean up the various output formats of the cscripts. I think it would be good

to support FITS files as much as we can. Upper limits can certainly also be handled using the model XML file. Maybe the general discussion

about IACT data formats can also help to better understand what we need.

Agreed sounds like a good plan. Here a list of the cscripts and their output formats:

csspec: FITS table

cslightcrv: FITS table

csfindobs: ASCII file (compatible with what is used with current IACTs)

csiactobs: XML file

csresmap: FITS sky map

cstsmapmerge: FITS sky map

cspull: CSV ascii table

cssens: CSV ascii table

cstsdist: CSV ascii table

And here a list of the ctools:

ctbin: FITS sky map

ctbkgcube: FITS sky map and model XML file

ctexpcube: FITS sky map

ctpsfcube: FITS sky map

ctcubemask: FITS sky map

ctselect: FITS files
ctskymap: FITS sky map

ctlike: model XML file

cttsmap: FITS sky map

ctmodel: FITS sky map

ctulimit: None

cterror: Model XML file (without asymmetric errors #1700).

ctbutterfly: CSV ascii table

Highlighted in bold face are those tools that don't support FITS or XML output. Note that if we changed this format, we need to adapt the example

plotting scripts as well.

#3 - 02/19/2016 05:51 PM - Mayer Michael

- Status changed from New to Pull request

- Assigned To set to Mayer Michael

Fix is on branch 1699-ctulimit-save-logging.

#4 - 02/22/2016 09:27 PM - Knödlseder Jürgen

user#77 wrote:

By the way: while writing the paper I recognised that we really should clean up the various output formats of the cscripts. I think it would be

good to support FITS files as much as we can. Upper limits can certainly also be handled using the model XML file. Maybe the general

discussion about IACT data formats can also help to better understand what we need.

Agreed sounds like a good plan. Here a list of the cscripts and their output formats:

csspec: FITS table

cslightcrv: FITS table

csfindobs: ASCII file (compatible with what is used with current IACTs)

csiactobs: XML file

csresmap: FITS sky map

cstsmapmerge: FITS sky map

cspull: CSV ascii table

cssens: CSV ascii table

cstsdist: CSV ascii table

And here a list of the ctools:

ctbin: FITS sky map

ctbkgcube: FITS sky map and model XML file

ctexpcube: FITS sky map

ctpsfcube: FITS sky map

ctcubemask: FITS sky map

ctselect: FITS files

ctskymap: FITS sky map

ctlike: model XML file

cttsmap: FITS sky map

ctmodel: FITS sky map

ctulimit: None

cterror: Model XML file (without asymmetric errors #1700).

ctbutterfly: CSV ascii table

Highlighted in bold face are those tools that don't support FITS or XML output. Note that if we changed this format, we need to adapt the

example plotting scripts as well.

 

I created issue #1707 for that one.
#5 - 02/22/2016 09:28 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed

- Target version set to 1.1.0

- % Done changed from 0 to 100

Merged into devel.
